- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiPseudoCosts Class Reference

This class is the placeholder for the pseudocosts used by OsiChooseStrong. More...

`#include <OsiChooseVariable.hpp>`

List of all members.

## Public Member Functions
| OsiPseudoCosts ()
virtual | ~OsiPseudoCosts ()
| OsiPseudoCosts (const OsiPseudoCosts &rhs)
OsiPseudoCosts & | operator= (const OsiPseudoCosts &rhs)
int | numberBeforeTrusted () const
| Number of times before trusted.
void | setNumberBeforeTrusted (int value)
| Set number of times before trusted.
void | initialize (int n)
| Initialize the pseudocosts with n entries.
int | numberObjects () const
| Give the number of objects for which pseudo costs are stored.
virtual void | updateInformation (const OsiBranchingInformation *info, int branch, OsiHotInfo *hotInfo)
| Given a candidate fill in useful information e.g. estimates.
virtual void | updateInformation (int whichObject, int branch, double changeInObjective, double changeInValue, int status)
| Given a branch fill in useful information e.g. estimates.
Accessor methods to pseudo costs data
double * | upTotalChange ()
const double * | upTotalChange () const
double * | downTotalChange ()
const double * | downTotalChange () const
int * | upNumber ()
const int * | upNumber () const
int * | downNumber ()
const int * | downNumber () const
## Protected Attributes
double * | upTotalChange_
| Total of all changes up.
double * | downTotalChange_
| Total of all changes down.
int * | upNumber_
| Number of times up.
int * | downNumber_
| Number of times down.
int | numberObjects_
| Number of objects (could be found from solver).
int | numberBeforeTrusted_
| Number before we trust.
## Private Member Functions
void | gutsOfDelete ()
void | gutsOfCopy (const OsiPseudoCosts &rhs)

## Detailed Description

This class is the placeholder for the pseudocosts used by OsiChooseStrong.

It can also be used by any other pseudocost based strong branching algorithm.

Definition at line 238 of file OsiChooseVariable.hpp.

## Constructor & Destructor Documentation

OsiPseudoCosts::OsiPseudoCosts | ( |  | ) |

virtual OsiPseudoCosts::~OsiPseudoCosts | ( |  | ) | `[virtual]`

OsiPseudoCosts::OsiPseudoCosts | ( | const OsiPseudoCosts & | rhs | ) |

## Member Function Documentation

void OsiPseudoCosts::gutsOfDelete | ( |  | ) | `[private]`

void OsiPseudoCosts::gutsOfCopy | ( | const OsiPseudoCosts & | rhs | ) | `[private]`

OsiPseudoCosts& OsiPseudoCosts::operator= | ( | const OsiPseudoCosts & | rhs | ) |

int OsiPseudoCosts::numberBeforeTrusted | ( |  | ) | const`[inline]`

Number of times before trusted.

Definition at line 265 of file OsiChooseVariable.hpp.

References numberBeforeTrusted_.

Referenced by OsiChooseStrong::numberBeforeTrusted().

void OsiPseudoCosts::setNumberBeforeTrusted | ( | int | value | ) | `[inline]`

Set number of times before trusted.

Definition at line 268 of file OsiChooseVariable.hpp.

References numberBeforeTrusted_.

Referenced by OsiChooseStrong::setNumberBeforeTrusted().

void OsiPseudoCosts::initialize | ( | int | n | ) |

Initialize the pseudocosts with n entries.

int OsiPseudoCosts::numberObjects | ( |  | ) | const`[inline]`

Give the number of objects for which pseudo costs are stored.

Definition at line 273 of file OsiChooseVariable.hpp.

References numberObjects_.

Referenced by OsiChooseStrong::numberObjects().

double* OsiPseudoCosts::upTotalChange | ( |  | ) | `[inline]`

Definition at line 278 of file OsiChooseVariable.hpp.

References upTotalChange_.

const double* OsiPseudoCosts::upTotalChange | ( |  | ) | const`[inline]`

Definition at line 279 of file OsiChooseVariable.hpp.

References upTotalChange_.

double* OsiPseudoCosts::downTotalChange | ( |  | ) | `[inline]`

Definition at line 281 of file OsiChooseVariable.hpp.

References downTotalChange_.

const double* OsiPseudoCosts::downTotalChange | ( |  | ) | const`[inline]`

Definition at line 282 of file OsiChooseVariable.hpp.

References downTotalChange_.

int* OsiPseudoCosts::upNumber | ( |  | ) | `[inline]`

Definition at line 284 of file OsiChooseVariable.hpp.

References upNumber_.

const int* OsiPseudoCosts::upNumber | ( |  | ) | const`[inline]`

Definition at line 285 of file OsiChooseVariable.hpp.

References upNumber_.

int* OsiPseudoCosts::downNumber | ( |  | ) | `[inline]`

Definition at line 287 of file OsiChooseVariable.hpp.

References downNumber_.

const int* OsiPseudoCosts::downNumber | ( |  | ) | const`[inline]`

Definition at line 288 of file OsiChooseVariable.hpp.

References downNumber_.

virtual void OsiPseudoCosts::updateInformation | ( | const OsiBranchingInformation * | info,
|  | int | branch,
|  | OsiHotInfo * | hotInfo |
| ) |  |  | `[virtual]`

Given a candidate fill in useful information e.g. estimates.

virtual void OsiPseudoCosts::updateInformation | ( | int | whichObject,
|  | int | branch,
|  | double | changeInObjective,
|  | double | changeInValue,
|  | int | status |
| ) |  |  | `[virtual]`

Given a branch fill in useful information e.g. estimates.

## Member Data Documentation

double* OsiPseudoCosts::upTotalChange_`[protected]`

Total of all changes up.

Definition at line 242 of file OsiChooseVariable.hpp.

Referenced by upTotalChange().

double* OsiPseudoCosts::downTotalChange_`[protected]`

Total of all changes down.

Definition at line 244 of file OsiChooseVariable.hpp.

Referenced by downTotalChange().

int* OsiPseudoCosts::upNumber_`[protected]`

Number of times up.

Definition at line 246 of file OsiChooseVariable.hpp.

Referenced by upNumber().

int* OsiPseudoCosts::downNumber_`[protected]`

Number of times down.

Definition at line 248 of file OsiChooseVariable.hpp.

Referenced by downNumber().

int OsiPseudoCosts::numberObjects_`[protected]`

Number of objects (could be found from solver).

Definition at line 250 of file OsiChooseVariable.hpp.

Referenced by numberObjects().

int OsiPseudoCosts::numberBeforeTrusted_`[protected]`

Number before we trust.

Definition at line 252 of file OsiChooseVariable.hpp.

Referenced by numberBeforeTrusted(), and setNumberBeforeTrusted().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Cgl-0.53.1/Osi/src/OsiChooseVariable.hpp